# Update a Marketplace

Update a marketplace by ID

Endpoint: POST /marketplaces/{marketplace_id}
Version: 3.0.1807
Security: Auth0

## Path parameters:

  - `marketplace_id` (integer, required)
    Numeric ID of the marketplace to update

## Request fields (application/json):

  - `version` (integer)
    Example: 3

  - `name` (string)

  - `supply_type` (string)

  - `status` (boolean)

  - `rtb_enabled` (boolean)

  - `strategy_id` (integer)
    Example: 5

  - `code` (string)

  - `bidder_exchange_identifier` (integer)
    Example: 8

  - `rtb_type` (string)

  - `has_display` (boolean)

  - `has_mobile_display` (boolean)

  - `has_video` (boolean)

  - `has_mobile_video` (boolean)

  - `requires_creative_audit` (boolean)

  - `has_desktop_video` (boolean)

  - `has_connected_tv` (boolean)

  - `mma_free` (boolean)

  - `private` (boolean)

  - `mkt_sell_price` (number)

  - `mkt_sell_price_currency_code` (string)
    Example: USD

  - `permission_organizations` (array)

  - `permission_agencies` (array)

## Response 200 fields (application/json):

  - `data` (object)

  - `data.id` (integer)
    Example: 33

  - `data.version` (integer)
    Example: 3

  - `data.created_on` (string)

  - `data.updated_on` (string)

  - `data.name` (string)

  - `data.supply_type` (string)

  - `data.status` (boolean)

  - `data.rtb_enabled` (boolean)

  - `data.strategy_id` (integer)
    Example: 5

  - `data.code` (string)

  - `data.bidder_exchange_identifier` (integer)
    Example: 8

  - `data.rtb_type` (string)

  - `data.has_display` (boolean)

  - `data.has_mobile_display` (boolean)

  - `data.has_video` (boolean)

  - `data.has_mobile_video` (boolean)

  - `data.requires_creative_audit` (boolean)

  - `data.has_desktop_video` (boolean)

  - `data.has_connected_tv` (boolean)

  - `data.mma_free` (boolean)

  - `data.private` (boolean)

  - `data.mkt_sell_price` (number)

  - `data.mkt_sell_price_currency_code` (string)
    Example: USD

  - `data.permission_organizations` (array)

  - `data.permission_agencies` (array)

  - `meta` (object)

  - `meta.status` (string, required)
    Example: success

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 409 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

